Package org.apache.aries.jax.rs.rest.management.internal.client

## Class RestClientFactoryImpl

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.client.RestClientFactoryImpl

All Implemented Interfaces:
  `org.osgi.service.rest.client.RestClientFactory`

    public class RestClientFactoryImpl
    extends Object
    implements org.osgi.service.rest.client.RestClientFactory

### Constructor Summary

Constructors
`RestClientFactoryImpl​(javax.ws.rs.client.ClientBuilder clientBuilder)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.rest.client.RestClient` `createRestClient​(URI uri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestClientFactoryImpl

    public RestClientFactoryImpl​(javax.ws.rs.client.ClientBuilder clientBuilder)

### Method Detail

#### createRestClient

    public org.osgi.service.rest.client.RestClient createRestClient​(URI uri)

Specified by:
  `createRestClient` in interface `org.osgi.service.rest.client.RestClientFactory`